"use strict";

const isNegativeZero = require("is-negative-zero");
const isNumber = require("@validatem/is-number");
const ValidationError = require("@validatem/error");

module.exports = [
	isNumber,
	function isPositive(value) {
		if (value < 0 || isNegativeZero(value)) {
			return new ValidationError("Must be a positive number", { code: "validatem.is-positive" });
		}
	}
];
